# Entity Access

Simplify per-bundle entity access checking for routes. Example: `_entity_access: <ENTITY_TYPE>[:<BUNDLE>].<OPERATION>`.

From the developer perspective, this module - just improvement of existing `access_check.entity` service. Default implementation - `\Drupal\Core\Entity\EntityAccessCheck` - overridden and empowered with possibility to verify entity bundle, if it specified. That's all.

## Example

For instance, you want to add a local task to the page of specific entity bundle. To do this you'll just need to define a new route (in `example.routing.yml`) and a task itself (in `example.links.task.yml`).

**example.routing.yml**:

```yml
example.route:
  path: '/admin/structure/types/manage/{node_type}/example-page'
  defaults:
    _title: 'Example page'
    _form: '\Drupal\example\Entity\NodeType\Form\ExamplePage'
  requirements:
    _entity_access: 'node_type:article.update'
```

**example.links.task.yml**:

```yml
example.route:
  title: 'Example task'
  base_route: entity.node_type.edit_form
  route_name: example.route
```
